Categories
Operating System PHP Server Configuration

1and1.com hosting – WordPress upgrade failure

Today I was upgrading one of my client’s wordpress installation, but it was failing, later I found in some forum that this failure is because 1and1.com hosting doesn’t have PHP enable by default and that we need to map php5 compiler properly. For this all you need to do is just add

AddType x-mapp-php5 .php
AddHandler x-mapp-php5 .php

in your .htaccess and the upgrade will work fine. Also, this is just one of many reason for upgrade failure, and you should perform this after you check all permission and stuff on your application.